Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/Theme.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/Theme.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/Theme.java	(revision 4220)
@@ -1,6 +1,6 @@
-
 package eu.clarin.cmdi.vlo;
 
 import eu.clarin.cmdi.vlo.config.VloConfig;
+import java.io.Serializable;
 
 /**
@@ -11,7 +11,7 @@
  * partner link map relating coordinates in the right image to partner links
  */
-public class Theme {
+public class Theme implements Serializable {
 
-    public String name, pageTitle, topLeftImage, topRightImage, cssFile,
+    public final String name, pageTitle, topLeftImage, topRightImage, cssFile,
             partnerLinkMap;
 
@@ -19,5 +19,5 @@
      * Compose a theme<br><br>
      *
-     * @param name the name of the theme to be composed
+     * @param themeName the name of the theme to be composed
      */
     public Theme(String themeName) {
@@ -59,5 +59,5 @@
      * Compose a map to be included in the HTML document, designating the
      * positions of the links to partner web sites
-     * 
+     *
      * @return the map
      */
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloPageParameters.java	(revision 4220)
@@ -6,4 +6,5 @@
 
 import java.util.Iterator;
+import java.util.List;
 import java.util.Map;
 import java.util.Set;
@@ -29,7 +30,7 @@
     }
     
-    public org.apache.wicket.PageParameters convert (){
+    public PageParameters convert (){
         
-        org.apache.wicket.PageParameters param;
+        PageParameters param;
         
         // needs to be implemented
@@ -51,15 +52,11 @@
      * @return 
      */
-    public VloPageParameters convert (org.apache.wicket.PageParameters param){
-        
-        // move page parameters in array of objects
-        Set <Map.Entry<String,Object>> entries;
-        entries = param.entrySet();
-        
+    public static VloPageParameters convert (PageParameters param){
+        List<NamedPair> entries = param.getAllNamed();        
         // iterate over the set, and put entries in new page parameters 
         VloPageParameters VloPageParameters;
         VloPageParameters = new VloPageParameters ();
-        for (Iterator<Map.Entry<String, Object>> it = entries.iterator(); it.hasNext();) {
-            Map.Entry<String, Object> entry = it.next();
+        for (Iterator<NamedPair> it = entries.iterator(); it.hasNext();) {
+            NamedPair entry = it.next();
             VloPageParameters.add(entry.getKey(), entry.getValue());
         }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/VloWebApplication.java	(revision 4220)
@@ -7,14 +7,13 @@
 import eu.clarin.cmdi.vlo.pages.BasePanel;
 import eu.clarin.cmdi.vlo.pages.FacetedSearchPage;
-import java.util.Map;
 import javax.servlet.ServletContext;
-import org.apache.wicket.Application;
-import org.apache.wicket.RequestCycle;
-import org.apache.wicket.request.RequestParameters;
-import org.apache.wicket.Response;
+import org.apache.wicket.Session;
 import org.apache.wicket.protocol.http.WebApplication;
-import org.apache.wicket.protocol.http.WebRequest;
-import org.apache.wicket.protocol.http.WebRequestCycle;
-import org.apache.wicket.protocol.http.WebResponse;
+import org.apache.wicket.request.IRequestParameters;
+import org.apache.wicket.request.Request;
+import org.apache.wicket.request.Response;
+import org.apache.wicket.request.cycle.RequestCycle;
+import org.apache.wicket.request.cycle.RequestCycleContext;
+import org.apache.wicket.util.string.StringValue;
 
 /**
@@ -37,9 +36,9 @@
      * the in the application object.
      */
-    private class CustomCycle extends WebRequestCycle {        
+    private class CustomCycle extends RequestCycle {        
         
         // find out why this is necessary
-        CustomCycle (WebApplication app, WebRequest req, Response res){
-            super (app, req, res);
+        CustomCycle (RequestCycleContext context){
+            super(context);
         }   
 
@@ -52,21 +51,22 @@
             super.onBeginRequest();
             // after that, get the parameters of the request itself
-            RequestParameters reqParam = this.request.getRequestParameters();
+            IRequestParameters reqParam = getRequest().getRequestParameters();
+            
             // from these, get the parameters represented in the URL
-            Map <String, String[]> map = this.getWebRequest().getParameterMap();
+            //Map <String, String[]> map = this.getWebRequest().getParameterMap();
             // check if there is a theme parameter        
-            String[] object = map.get("theme");
+            StringValue object = reqParam.getParameterValue("theme");
                         
-            if (object == null) {
+            if (object.isEmpty()) {
                 // no theme choosen, keep the current one
             } else {
                 // check if the users requests a different theme 
-                if (object[0].matches(((VloSession)getSession()).getCurrentTheme().name)) {
+                if (object.toString().matches(((VloSession)Session.get()).getCurrentTheme().name)) {
                     // current theme requested, nothing to do
                 } else {
                     // different theme requested, compose it
-                    ((VloSession)getSession()).setCurrentTheme(new Theme (object[0]));
+                    ((VloSession)Session.get()).setCurrentTheme(new Theme (object.toString()));
                     // remember the theme as a vlo session page parameter
-                    ((VloSession)getSession()).vloSessionPageParameters.add("theme", object[0]);
+                    ((VloSession)Session.get()).vloSessionPageParameters.add("theme", object);
                 }
             }
@@ -112,11 +112,4 @@
             VloContextConfig.switchToExternalConfig(servletContext);
         }
-        
-        // install the custom request cycle
-        WebRequest req = (WebRequest) RequestCycle.get().getRequest();
-        WebResponse res = (WebResponse) RequestCycle.get().getResponse();
-            
-        CustomCycle cycle;
-        cycle = new CustomCycle(this, req, res);
 
         // creata an object referring to the search results
@@ -188,3 +181,10 @@
         return searchResults;
     }
+
+    @Override
+    public VloSession newSession(Request request, Response response) {
+        return new VloSession(request);
+    }
+    
+    
 }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/dao/DaoLocator.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/dao/DaoLocator.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/dao/DaoLocator.java	(revision 4220)
@@ -2,5 +2,6 @@
 
 import eu.clarin.cmdi.vlo.VloWebApplication;
-import org.apache.wicket.RequestCycle;
+import org.apache.wicket.Application;
+
 
 public final class DaoLocator {
@@ -8,5 +9,5 @@
     public static SearchResultsDao getSearchResultsDao()
     {
-        VloWebApplication app = (VloWebApplication)RequestCycle.get().getApplication();
+        VloWebApplication app = (VloWebApplication)Application.get();
         return app.getSearchResultsDao();
     }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/BasePage.java	(revision 4220)
@@ -4,7 +4,8 @@
 import eu.clarin.cmdi.vlo.VloSession;
 import eu.clarin.cmdi.vlo.VloPageParameters;
+import org.apache.wicket.markup.head.CssHeaderItem;
+import org.apache.wicket.markup.head.IHeaderResponse;
 import org.apache.wicket.request.mapper.parameter.PageParameters;
 import org.apache.wicket.markup.html.IHeaderContributor;
-import org.apache.wicket.markup.html.IHeaderResponse;
 import org.apache.wicket.markup.html.WebPage;
 import org.apache.wicket.markup.html.basic.Label;
@@ -100,7 +101,5 @@
      */
     public void renderHead(IHeaderResponse response) {
-
-        response.renderCSSReference(((VloSession) getSession()).getCurrentTheme().cssFile);
-    }
-    
+        response.render(CssHeaderItem.forUrl(((VloSession) getSession()).getCurrentTheme().cssFile));
+    }    
 }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetHeaderPanel.java	(revision 4220)
@@ -16,8 +16,6 @@
         copy.removeFilterQuery(model.getObject().getFacetField());
         PageParameters param = copy.getPageParameters();
-        
-        VloPageParameters newParam = new VloPageParameters ();
  
-        add(new BookmarkablePageLink("allLink", FacetedSearchPage.class, newParam));
+        add(new BookmarkablePageLink("allLink", FacetedSearchPage.class, param));
         add(new Label("headerLabelSelect", model.getObject().getSelectedValue()));
     }
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetLinkPanel.java	(revision 4220)
@@ -21,7 +21,5 @@
         PageParameters param = q.getPageParameters();
         
-        VloPageParameters newParam = new VloPageParameters ();
-        
-        Link<Count> facetLink = new BookmarkablePageLink("facetLink", FacetedSearchPage.class, newParam);
+        Link<Count> facetLink = new BookmarkablePageLink("facetLink", FacetedSearchPage.class, param);
         facetLink.add(new Label("facetLinkLabel", model.getObject().getName()));
         add(facetLink);
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/FacetedSearchPage.java	(revision 4220)
@@ -21,5 +21,4 @@
 import org.apache.solr.common.SolrDocument;
 import org.apache.wicket.request.mapper.parameter.PageParameters;
-import org.apache.wicket.RequestCycle;
 import org.apache.wicket.extensions.ajax.markup.html.autocomplete.AutoCompleteTextField;
 import org.apache.wicket.extensions.ajax.markup.html.repeater.data.table.AjaxFallbackDefaultDataTable;
@@ -41,7 +40,9 @@
 import org.apache.wicket.model.IModel;
 import org.apache.wicket.model.ResourceModel;
-import org.apache.wicket.protocol.http.RequestUtils;
+import org.apache.wicket.request.Url;
+import org.apache.wicket.request.cycle.RequestCycle;
 
 public class FacetedSearchPage extends BasePage {
+
     private static final long serialVersionUID = 1L;
 
@@ -50,5 +51,9 @@
     private final static String facetConceptsFile = VloConfig.getFacetConceptsFile();
     private final static Map<String, FacetConcept> facetNameMap = VLOMarshaller.getFacetConceptMapping(facetConceptsFile).getFacetConceptMap();
-    
+
+    public FacetedSearchPage(PageParameters params) {
+        this(VloPageParameters.convert(params));
+    }
+
     /**
      * @param parameters Page parameters
@@ -66,6 +71,7 @@
     @SuppressWarnings("serial")
     private class SearchBoxForm extends Form<SearchPageQuery> {
+
         private final AutoCompleteTextField<String> searchBox;
-        
+
         /*
          * Add multiline list of selected facet values
@@ -78,6 +84,6 @@
 
             // create an interator for walking over the facets
-            Iterator<Map.Entry<String, String>> entries = 
-                    selectedFacets.entrySet().iterator();
+            Iterator<Map.Entry<String, String>> entries
+                    = selectedFacets.entrySet().iterator();
 
             /*
@@ -90,5 +96,5 @@
             if (!entries.hasNext()) {
                 // not a single facet has been selected
-                facetOverview = new MultiLineLabel("facetOverview", 
+                facetOverview = new MultiLineLabel("facetOverview",
                         "No facets values selected");
             } else {
@@ -152,29 +158,30 @@
                 }
             };
-            
+
             add(searchBox);
             Button submit = new Button("searchSubmit");
             add(submit);
-            
+
             // merge link to help menu page 
-            String helpUrl = VloConfig.getHelpUrl();            
+            String helpUrl = VloConfig.getHelpUrl();
             ExternalLink helpLink = new ExternalLink("helpLink", helpUrl, "help");
             add(helpLink);
-            
-            VloPageParameters param; 
-            param = new VloPageParameters (query.getPageParameters());
-            
-            String thisURL;
-            thisURL = RequestUtils.toAbsolutePath(
-                    RequestCycle.get().urlFor(ShowResultPage.class, param.convert()).toString(), null);
+
+            VloPageParameters param;
+            param = new VloPageParameters(query.getPageParameters());
+
+            final RequestCycle reqCycle = getRequestCycle();
+            final Url reqUrl = Url.parse(reqCycle.urlFor(ShowResultPage.class, param.convert()));
+            String thisURL = reqCycle.getUrlRenderer().renderFullUrl(reqUrl);
+
             try {
                 thisURL = URLEncoder.encode(thisURL, "UTF-8");
             } catch (UnsupportedEncodingException e) {
             }
-            
+
             String feedbackFormUrl = VloConfig.getFeedbackFromUrl() + thisURL;
             ExternalLink feedbackLink = new ExternalLink("feedbackLink", feedbackFormUrl, "found an error?");
             add(feedbackLink);
-            
+
             addFacetOverview();
         }
@@ -186,5 +193,5 @@
 
             VloPageParameters newParam = new VloPageParameters();
-            
+
             setResponsePage(FacetedSearchPage.class, newParam);
         }
@@ -194,23 +201,24 @@
         add(new SearchBoxForm("searchForm", query));
     }
-    
+
     @SuppressWarnings("serial")
     private void addFacetColumns() {
         GridView<FacetField> facetColumns = new GridView<FacetField>("facetColumns", (IDataProvider<FacetField>) new SolrFacetDataProvider(query.getSolrQuery()
                 .getCopy())) {
-            @Override
-            protected void populateItem(Item<FacetField> item) {
-            	String facetName = ((FacetField)item.getDefaultModelObject()).getName();
-            	String descriptionTooltip = "";
-            	if(facetNameMap.containsKey(facetName))
-            		descriptionTooltip = facetNameMap.get(facetName).getDescription();
-            	item.add(new FacetBoxPanel("facetBox", item.getModel(), descriptionTooltip).create(query));
-            }
-
-            @Override
-            protected void populateEmptyItem(Item<FacetField> item) {
-                item.add(new Label("facetBox", ""));
-            }
-        };
+                    @Override
+                    protected void populateItem(Item<FacetField> item) {
+                        String facetName = ((FacetField) item.getDefaultModelObject()).getName();
+                        String descriptionTooltip = "";
+                        if (facetNameMap.containsKey(facetName)) {
+                            descriptionTooltip = facetNameMap.get(facetName).getDescription();
+                        }
+                        item.add(new FacetBoxPanel("facetBox", item.getModel(), descriptionTooltip).create(query));
+                    }
+
+                    @Override
+                    protected void populateEmptyItem(Item<FacetField> item) {
+                        item.add(new Label("facetBox", ""));
+                    }
+                };
         facetColumns.setColumns(2);
         add(facetColumns);
@@ -222,5 +230,5 @@
         columns = new ArrayList<IColumn<SolrDocument, String>>();
         columns.add(new AbstractColumn<SolrDocument, String>(new ResourceModel(Resources.NAME)) {
-            
+
             @Override
             public void populateItem(Item<ICellPopulator<SolrDocument>> cellItem, String componentId, IModel<SolrDocument> rowModel) {
@@ -232,7 +240,6 @@
             @Override
             public void populateItem(Item<ICellPopulator<SolrDocument>> cellItem, String componentId, IModel<SolrDocument> rowModel) {
-        	String descriptionText = (String) rowModel.getObject().getFirstValue(FacetConstants.FIELD_DESCRIPTION);
+                String descriptionText = (String) rowModel.getObject().getFirstValue(FacetConstants.FIELD_DESCRIPTION);
                 cellItem.add(new TruncatedLabel(componentId, 100, descriptionText));
-                
             }
         });
@@ -241,5 +248,5 @@
         add(searchResultList);
     }
-    
+
     /**
      * Add contentSearch form (FCS)
@@ -248,9 +255,9 @@
      */
     private void addSearchServiceForm() {
-        
+
         BookmarkablePageLink link;
-        link = new BookmarkablePageLink ("link", FacetedSearchPage.class);
-        link.add (new Label ("naar deze pagina"));
-        
+        link = new BookmarkablePageLink("link", FacetedSearchPage.class);
+        link.add(new Label("naar deze pagina"));
+
         // get values for cql endpoint substitution
         String cqlEndpointFilter = VloConfig.getCqlEndpointFilter();
@@ -281,13 +288,13 @@
                             List<String> idArray = new ArrayList<String>();
                             idArray.add(id);
-                            
+
                             // substitute endpoint
-                            if (cqlEndpointFilter.length() == 0){
+                            if (cqlEndpointFilter.length() == 0) {
                                 // no substitution
                             } else {
                                 // check for the need to substitute
                             }
-                                
-                            if (cqlEndpointFilter.equals(cqlEndpointFilter)){
+
+                            if (cqlEndpointFilter.equals(cqlEndpointFilter)) {
                                 // no substitution, take the value from the record
                                 aggregationContextMap.put(fcsEndpoint, idArray);
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/LandingPageLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/LandingPageLinkPanel.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/LandingPageLinkPanel.java	(revision 4220)
@@ -6,6 +6,4 @@
 import org.apache.wicket.markup.html.image.Image;
 import org.apache.wicket.markup.html.link.ExternalLink;
-import org.apache.wicket.request.resource.ResourceReference;
-import org.apache.wicket.resource.ContextRelativeResource;
 
 /**
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ResourceLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ResourceLinkPanel.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ResourceLinkPanel.java	(revision 4220)
@@ -7,9 +7,7 @@
 import java.util.Map;
 import org.apache.wicket.AttributeModifier;
-import org.apache.wicket.behavior.SimpleAttributeModifier;
 import org.apache.wicket.markup.html.basic.Label;
 import org.apache.wicket.markup.html.image.Image;
 import org.apache.wicket.markup.html.link.ExternalLink;
-import org.apache.wicket.resource.ContextRelativeResource;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageLinkPanel.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageLinkPanel.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageLinkPanel.java	(revision 4220)
@@ -3,9 +3,7 @@
 
 import org.apache.wicket.AttributeModifier;
-import org.apache.wicket.behavior.SimpleAttributeModifier;
 import org.apache.wicket.markup.html.basic.Label;
 import org.apache.wicket.markup.html.image.Image;
 import org.apache.wicket.markup.html.link.ExternalLink;
-import org.apache.wicket.resource.ContextRelativeResource;
 
 /**
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageQuery.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageQuery.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/SearchPageQuery.java	(revision 4220)
@@ -11,6 +11,6 @@
 import org.apache.solr.client.solrj.util.ClientUtils;
 import org.apache.solr.common.params.CommonParams;
-import org.apache.wicket.IClusterable;
 import org.apache.wicket.request.mapper.parameter.PageParameters;
+import org.apache.wicket.util.io.IClusterable;
 import org.apache.wicket.util.string.StringValue;
 
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/main/java/eu/clarin/cmdi/vlo/pages/ShowResultPage.java	(revision 4220)
@@ -5,6 +5,4 @@
 import eu.clarin.cmdi.vlo.StringUtils;
 import eu.clarin.cmdi.vlo.VloPageParameters;
-import eu.clarin.cmdi.vlo.VloWebApplication;
-import eu.clarin.cmdi.vlo.VloSession;
 import eu.clarin.cmdi.vlo.config.VloConfig;
 import eu.clarin.cmdi.vlo.dao.DaoLocator;
@@ -29,8 +27,7 @@
 import net.sf.saxon.s9api.XsltTransformer;
 import org.apache.solr.common.SolrDocument;
+import org.apache.wicket.Application;
 import org.apache.wicket.Component;
 import org.apache.wicket.request.mapper.parameter.PageParameters;
-import org.apache.wicket.RequestCycle;
-import org.apache.wicket.behavior.AbstractBehavior;
 import org.apache.wicket.behavior.Behavior;
 import org.apache.wicket.extensions.ajax.markup.html.AjaxLazyLoadPanel;
@@ -44,5 +41,6 @@
 import org.apache.wicket.markup.ComponentTag;
 import org.apache.wicket.markup.MarkupStream;
-import org.apache.wicket.markup.html.IHeaderResponse;
+import org.apache.wicket.markup.head.IHeaderResponse;
+import org.apache.wicket.markup.head.JavaScriptHeaderItem;
 import org.apache.wicket.markup.html.WebMarkupContainer;
 import org.apache.wicket.markup.html.basic.Label;
@@ -54,6 +52,7 @@
 import org.apache.wicket.model.ResourceModel;
 import org.apache.wicket.protocol.http.RequestUtils;
-import org.apache.wicket.protocol.http.WicketURLDecoder;
-import org.apache.wicket.protocol.http.WicketURLEncoder;
+import org.apache.wicket.request.cycle.RequestCycle;
+import org.apache.wicket.util.encoding.UrlDecoder;
+import org.apache.wicket.util.encoding.UrlEncoder;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
@@ -73,9 +72,10 @@
     
     @SuppressWarnings("serial")
-    public ShowResultPage(final PageParameters currentParam) {
-        
+    public ShowResultPage(final PageParameters currentParam) {        
         super(currentParam);
-        final String docId;
-        docId = WicketURLDecoder.QUERY_INSTANCE.decode(getPageParameters().get(PARAM_DOC_ID).toString());
+        //TODO: Is encoding/decoding of the page parameter required (or can it be automated?)
+        final String docId = UrlDecoder.QUERY_INSTANCE.decode(
+                getPageParameters().get(PARAM_DOC_ID).toString(), 
+                Application.get().getRequestCycleSettings().getResponseRequestEncoding()); // get current character set from request cycle
         SolrDocument solrDocument = DaoLocator.getSearchResultsDao().getSolrDocument(docId);
         if (solrDocument != null) {
@@ -452,5 +452,7 @@
         VloPageParameters newParam;
         newParam = new VloPageParameters(query.getPageParameters());
-        newParam.add(ShowResultPage.PARAM_DOC_ID, WicketURLEncoder.QUERY_INSTANCE.encode(docId));
+        newParam.add(ShowResultPage.PARAM_DOC_ID, UrlEncoder.QUERY_INSTANCE.encode(
+                docId, 
+                Application.get().getRequestCycleSettings().getResponseRequestEncoding())); // get current character set from request cycle
 
         BookmarkablePageLink<ShowResultPage> docLink = new BookmarkablePageLink<ShowResultPage>(linkId, ShowResultPage.class,
@@ -523,6 +525,5 @@
 
 			public void renderHead(IHeaderResponse response) {
-
-				response.renderOnLoadJavascript("toogleDiv('completeCmdi', 'toogleLink')");
+                            response.render(JavaScriptHeaderItem.forScript("toogleDiv('completeCmdi', 'toogleLink')", null));
 			}
 		});
Index: /vlo/branches/to-wicket-1.6/vlo_web_app/src/test/java/eu/clarin/cmdi/vlo/SearchPageQueryTest.java
===================================================================
--- /vlo/branches/to-wicket-1.6/vlo_web_app/src/test/java/eu/clarin/cmdi/vlo/SearchPageQueryTest.java	(revision 4219)
+++ /vlo/branches/to-wicket-1.6/vlo_web_app/src/test/java/eu/clarin/cmdi/vlo/SearchPageQueryTest.java	(revision 4220)
@@ -32,5 +32,5 @@
         assertEquals("collection", q.getSolrQuery().getFacetFields()[0]);
         assertEquals("resourceClass", q.getSolrQuery().getFacetFields()[2]);
-        assertNull(q.getSolrQuery().getFilterQueries());
+        assertEquals(0, q.getSolrQuery().getFilterQueries().length);
 
         params = new PageParameters();
